evaluations
Create evaluations auto sessions
Requires scopes: eval:write
POST
/
api
/
evaluations
/
{id}
/
auto-sessions
Create evaluations auto sessions
curl --request POST \
--url https://evalgate.com/api/evaluations/{id}/auto-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"objective": "<string>",
"targetPath": "<string>",
"strategyTracks": [
"<string>"
],
"maxIterations": 123,
"maxCostUsd": 123,
"autonomousEnabled": false,
"swarmEnabled": false,
"swarmAgents": 123,
"swarmMode": "multi_failure",
"swarmMergeStrategy": "highest_utility",
"continuousMode": false,
"tasteContext": {
"priorities": [
"<string>"
],
"forbiddenBehaviors": [
"<string>"
],
"rubricText": "<string>",
"judgeCriteriaRef": 123,
"objectiveTargets": [
{
"value": 123,
"operator": "gte",
"metric": "<string>",
"weight": 123
}
]
},
"finalizationReserveUsd": 123,
"maxTokenSpendPerRound": 123,
"synthesisTokenCap": 123,
"budgetWarningThreshold": 123,
"pauseOnBudgetWarning": false,
"agentsPerRound": 123,
"workflowProfile": {
"source": "coverage_gap",
"autonomyLevel": "manual",
"workflowClass": "approval_gated_mutation",
"approvalMode": "human_review",
"memoryMode": "session",
"backgroundExecution": true,
"recipeTitle": "<string>",
"recommendedIterations": 123,
"requiredHooks": [
"session_start"
],
"linkedFailureModes": [
"<string>"
],
"successMetrics": [
"<string>"
],
"guardrails": [
"<string>"
]
}
}
'import requests
url = "https://evalgate.com/api/evaluations/{id}/auto-sessions"
payload = {
"name": "<string>",
"objective": "<string>",
"targetPath": "<string>",
"strategyTracks": ["<string>"],
"maxIterations": 123,
"maxCostUsd": 123,
"autonomousEnabled": False,
"swarmEnabled": False,
"swarmAgents": 123,
"swarmMode": "multi_failure",
"swarmMergeStrategy": "highest_utility",
"continuousMode": False,
"tasteContext": {
"priorities": ["<string>"],
"forbiddenBehaviors": ["<string>"],
"rubricText": "<string>",
"judgeCriteriaRef": 123,
"objectiveTargets": [
{
"value": 123,
"operator": "gte",
"metric": "<string>",
"weight": 123
}
]
},
"finalizationReserveUsd": 123,
"maxTokenSpendPerRound": 123,
"synthesisTokenCap": 123,
"budgetWarningThreshold": 123,
"pauseOnBudgetWarning": False,
"agentsPerRound": 123,
"workflowProfile": {
"source": "coverage_gap",
"autonomyLevel": "manual",
"workflowClass": "approval_gated_mutation",
"approvalMode": "human_review",
"memoryMode": "session",
"backgroundExecution": True,
"recipeTitle": "<string>",
"recommendedIterations": 123,
"requiredHooks": ["session_start"],
"linkedFailureModes": ["<string>"],
"successMetrics": ["<string>"],
"guardrails": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
objective: '<string>',
targetPath: '<string>',
strategyTracks: ['<string>'],
maxIterations: 123,
maxCostUsd: 123,
autonomousEnabled: false,
swarmEnabled: false,
swarmAgents: 123,
swarmMode: 'multi_failure',
swarmMergeStrategy: 'highest_utility',
continuousMode: false,
tasteContext: {
priorities: ['<string>'],
forbiddenBehaviors: ['<string>'],
rubricText: '<string>',
judgeCriteriaRef: 123,
objectiveTargets: [{value: 123, operator: 'gte', metric: '<string>', weight: 123}]
},
finalizationReserveUsd: 123,
maxTokenSpendPerRound: 123,
synthesisTokenCap: 123,
budgetWarningThreshold: 123,
pauseOnBudgetWarning: false,
agentsPerRound: 123,
workflowProfile: {
source: 'coverage_gap',
autonomyLevel: 'manual',
workflowClass: 'approval_gated_mutation',
approvalMode: 'human_review',
memoryMode: 'session',
backgroundExecution: true,
recipeTitle: '<string>',
recommendedIterations: 123,
requiredHooks: ['session_start'],
linkedFailureModes: ['<string>'],
successMetrics: ['<string>'],
guardrails: ['<string>']
}
})
};
fetch('https://evalgate.com/api/evaluations/{id}/auto-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "<string>",
"status": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
false Available options:
false Available options:
multi_failure Available options:
highest_utility Available options:
false Show child attributes
Show child attributes
Available options:
false Show child attributes
Show child attributes
⌘I
Create evaluations auto sessions
